## ros-galactic-mavros-extras 2.3.0

=== debian/changelog ===
ros-galactic-mavros-extras (2.3.0-1focal) focal; urgency=high

  * extras: fix linter errors
  * extras: fix toMsg
  * extras: fix build
  * extras: port guided_target
  * mavros: remove custom find script, re-generate
  * Merge branch 'master' into ros2
    * master:
    1.14.0
    update changelog
    scripts: waypoint and param files are text, not binary
    libmavconn: fix MAVLink v1.0 output selection
    plugins: add guided_target to accept offboard position targets
    add cmake module path for geographiclib on debian based systems
    use already installed FindGeographicLib.cmake
  * 1.14.0
  * update changelog
  * Merge pull request #1780 <https://github.com/mavlink/mavros/issues/1780> from snktshrma/master
    guided_target: accept position-target-global-int messages
  * plugins: add guided_target to accept offboard position targets
    Update guided_target.cpp
    Update guided_target.cpp
    Update mavros_plugins.xml
    Update CMakeLists.txt
    Added offboard_position.cpp
    Update apm_config.yaml
    Update offboard_position.cpp
    Update offboard_position.cpp
    Rename offboard_position.cpp to guided_target.cpp
    Update CMakeLists.txt
    Update mavros_plugins.xml
    Update apm_config.yaml
    Update guided_target.cpp
  * Contributors: Sanket Sharma, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 24 Sep 2022 00:00:00 -0000

ros-galactic-mavros-extras (2.2.0-1focal) focal; urgency=high

  * extras: fix build
  * extras: fix build
  * Merge branch 'master' into ros2
    * master:
    mount_control.cpp: detect MOUNT_ORIENTATION stale messages
    ESCTelemetryItem.msg: correct RPM units
    apm_config.yaml: add mount configuration
    sys_status.cpp fix free memory for values > 64KiB
    uncrustify cellular_status.cpp
    Add CellularStatus plugin and message
    *_config.yaml: document usage of multiple batteries diagnostics
    sys_status.cpp: fix compilation
    sys_status.cpp: support diagnostics on up-to 10 batteries
    sys_status.cpp: do not use harcoded constants
    sys_status.cpp: Timeout on MEMINFO and HWSTATUS mavlink messages and publish on the diagnostics
    sys_status.cpp: fix enabling of mem_diag and hwst_diag
    sys_status.cpp: Do not use battery1 voltage as voltage for all other batteries (bugfix).
    sys_status.cpp: ignore sys_status mavlink messages from gimbals
    mount_control.cpp: use mount_nh for params to keep similarities with other plugins set diag settings before add()
    sys_status.cpp: remove deprecated BATTERY2 mavlink message support
    Mount control plugin: add configurable diagnostics
    Bugfix: increment_f had no value asigned when input LaserScan was bigger than obstacle.distances.size()
    Bugfix: wrong interpolation when the reduction ratio (scale_factor) is not integer.
    Disable startup_px4_usb_quirk in px4_config.yaml
  * cmake: style fix
  * cmake: downgrade to C++17 as 20 breaks something in rclcpp
  * cmake: hide -std=c++2a
  * Merge pull request #1744 <https://github.com/mavlink/mavros/issues/1744> from amilcarlucas/pr_gimbal_diagnostics_fixes
    mount_control.cpp: detect MOUNT_ORIENTATION stale messages
  * extras: fix cog re to extract plugin name

 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 27 Jun 2022 00:00:00 -0000

ros-galactic-mavros-extras (2.1.1-1focal) focal; urgency=high

  * plugins: Fix misprint
    Fix #1709 <https://github.com/mavlink/mavros/issues/1709>
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 02 Mar 2022 00:00:00 -0000

ros-galactic-mavros-extras (2.1.0-1focal) focal; urgency=high

  * plugins: fix topic names to use  prefix for namespaced ones
  * plugins: fix topic names to use  prefix for namespaced ones
  * ci: fix several lint warnings
  * extras: terrain: fix copy-paste artifact
  * extras: port terrain plugin
  * Merge branch 'master' into ros2
    * master:
    1.13.0
    update changelog
    py-lib: fix compatibility with py3 for Noetic
    re-generate all coglets
    test: add checks for ROTATION_CUSTOM
    lib: Fix rotation search for CUSTOM
    Removed CamelCase for class members.  Publish to "report"
    More explicitly state "TerrainReport" to allow for future extension of the plugin to support other terrain messages
    Fixed callback name to match handle_{MESSAGE_NAME.lower()} convention
    Add extra MAV_FRAMES to waypoint message as defined in https://mavlink.io/en/messages/common.html
    Fixed topic names to match more closely what other plugins use.  Fixed a typo.
    Add plugin for reporting terrain height estimate from FCU
    1.12.2
    update changelog
    Set time/publish_sim_time to false by default
    plugin: setpoint_raw: move getParam to initializer
    extras: trajectory: backport #1667 <https://github.com/mavlink/mavros/issues/1667>
  * 1.13.0
  * update changelog
  * Merge pull request #1677 <https://github.com/mavlink/mavros/issues/1677> from AndersonRayner/add_terrain
    Add plugin for reporting terrain height estimate from the FCU
  * Removed CamelCase for class members.  Publish to "report"
  * More explicitly state "TerrainReport" to allow for future extension of the plugin to support other terrain messages
  * Fixed callback name to match handle_{MESSAGE_NAME.lower()} convention
  * Fixed topic names to match more closely what other plugins use.  Fixed a typo.
  * Add plugin for reporting terrain height estimate from FCU
  * 1.12.2
  * update changelog
  * Merge pull request #1675 <https://github.com/mavlink/mavros/issues/1675> from BOB4Drone/ros2
    fix bof
  * Update mag_calibration_status.cpp
  * fix code style
    fix code style
  * Update mag_calibration_status.cpp
  * fix misprint and use size()
    fix misprint and use size()
  * fix bof
    fix #1668 <https://github.com/mavlink/mavros/issues/1668>
  * extras: trajectory: backport #1667 <https://github.com/mavlink/mavros/issues/1667>
  * extras: trajectory: make linter happy after #1667 <https://github.com/mavlink/mavros/issues/1667>

